Bug 161171 - ls -l command produces segmentation fault
ls -l command produces segmentation fault
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-20 20:45 EDT by Pat Dwyer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-21 11:01:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pat Dwyer 2005-06-20 20:45:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
The ls command serV's when I execute ls -l. If I execute ls or ls -R I'm okay. This behavior occurs as both a regular user and root.

I recently installed FC3-I386 on an INTEL CELERON (COMPAQ 5008US)
80 MHZ and about 380 ram.

I pulled the ISO's from redhat and checked them before I installed.

After install, I pulled lots of updates from the updater, although not all of them. I got what looked like all of the OS related ones.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open a terminal window
2.Execute ls -l
3.
  

Additional info:
Comment 1 Pat Dwyer 2005-06-20 20:47:56 EDT
It's really 800 MHZ.
Comment 2 Tim Waugh 2005-06-21 04:18:19 EDT
Can't reproduce this.

Please obtain a stack trace (see http://fedora.linux.duke.edu/wiki/StackTraces)
and attach it here.
Comment 3 Pat Dwyer 2005-06-21 10:56:57 EDT
Tim,

  I went to run GDB with the ls -l command and to my surprise the command works. 
I now get an output from ls -l. Since I'm certain that I was getting a seg V
before, I suspect that a problem still exists which makes this issue
intermittent.  When it happens again I will produce a stack trace and attach it
to the case.

Thanks so much for you help.

Paddy
Comment 4 Tim Waugh 2005-06-21 11:01:42 EDT
Please re-open if you see this again.

Note You need to log in before you can comment on or make changes to this bug.